Skip to main content

WordPress 5.5 Fixes, Themes Delisted, Mullenweg vs Jamstack ?️ October 2020 WordPress News w/ CodeinWP

WordPress 5.5, the latest major release, came with a negative effect on millions of websites. In this version, the core team removed 19 legacy JavaScript localization objects, which affected all the updated sites by causing errors with many popular themes and plugins.

Some of the impacted themes are Astra, Storefront, Hestia, Neve, ColorMag, and a lot more. On the plugin side, SiteOrigins Widgets Bundle, Advanced Custom Fields, AMP for WP, WooCommerce Services, Ocean Extra, and Rank Math SEO were some of the big ones that were broken by the change.

As a result, the core team quickly released WordPress 5.5.1 as a patch to give theme and plugin authors some time to update their products. The developers will still need code that uses wp.i18n, but now they will be able to do their thing because, in the maintenance release, the legacy code won’t block JavaScript execution.

If you want to avoid complaints from your users, you should update your tool right away. Joost de Valk posted a list of the affected extensions in WordPress 5.5, which you can consult for your users’ safety.

If you rolled back to an older WordPress version after seeing the errors, you should update to WordPress 5.5.1 because this is the release that is meant to help you fix all the issues.

By the way, if you have any general feedback regarding the latest major WordPress release, fill out the form in this post.

Wp-dd.com

WordPress Design, WordPress Development, cPanel Hosting, Web Design, Web Development, Graphic Design, Mobile Development, Search Engine Optimization (SEO) and more.

Leave a Reply

This site uses Akismet to reduce spam. Learn how your comment data is processed.

wpddhosting@gmail.com